# Module sup_scalaris

- Description
- Function Index
- Function Details

Supervisor for a mgmt server or/and "ordinary" node that is responsible for keeping its processes running.

Copyright © 2007-2015 Zuse Institute Berlin

Version: $Id$

Behaviours: `supervisor`.

Authors: Thorsten Schuett (`schuett@zib.de`).

## Description

Supervisor for a mgmt server or/and "ordinary" node that is responsible for keeping its processes running.

If one of the supervised processes fails, only the failed process will be re-started!

## Function Index

check_config/0 | Checks whether config parameters exist and are valid.
childs/1 |
init/1 |
start_link/0 |
start_link/1 |
stop_first_services/0 |
supspec/1 |

## Function Details

### start_link/0

    start_link() ->
                  {ok, Pid :: pid()} |
                  {error,
                   Error :: {already_started, Pid :: pid()} | term()}

### start_link/1

    start_link(Options :: [tuple()]) ->
                  {ok, Pid :: pid()} |
                  {error,
                   Error ::
                       {already_started, Pid :: pid()} |
                       shutdown |
                       term()}

### init/1

    init(Options :: [tuple()]) ->
            {ok,
             {{one_for_one,
               MaxRetries :: pos_integer(),
               PeriodInSeconds :: pos_integer()},
              [ProcessDescr :: supervisor:child_spec()]}}

### supspec/1

    supspec(X1 :: any()) ->
               {ok,
                {{one_for_one,
                  MaxRetries :: pos_integer(),
                  PeriodInSeconds :: pos_integer()},
                 []}}

### childs/1

    childs(Options :: [tuple()]) -> [any()]

### stop_first_services/0

    stop_first_services() -> ok

### check_config/0

    check_config() -> boolean()

Checks whether config parameters exist and are valid.

Generated by EDoc, Feb 29 2016, 16:12:18.